	function alfa = CT_TREE_WDF_BP(P)
	
	% 	Computes the adaptor coefficients in an even order bandpass
	%	circulator-tree wave digital filter consisting of 
	%	four-port adaptors from the poles in the corresponding 
	%	digital bandpass filter. 
	
	%	Toolbox for DIGITAL FILTERS USING MATLAB
	
	% Author: 			Lars Wanhammar 2008-01-15
	% Modified by: 	 	
	% Copyright:		by authors - not released for commercial use
	% Version:			1 
	% Known bugs:		
	% Report bugs to:	larsw@isy.liu.se
	
	P = flipud(cplxpair(P))';
%	if real(P) == 0
%		Ps = sort(P);	% Bireciprocal
%	else
%		Ps =  sort([P, imag(P)./real(P)],1);
%	end

	N = length(P)/2;
	P(2:2:end,:) = [];
	alfa = zeros(N,3);
	for k = 1:N	% Compute the adaptor coefficients
		alfa(k,1) = (1 - abs(P(k))^2)/2;			% alfa1 = alfa2
		alfa(k,2) = 1 - alfa(k) - real(P(k));		% alfa3
		alfa(k,3) = 2 - 2*alfa(k,1) - alfa(k,2); 	% alfa4 
	end
