	function CostFunk = EQUALRIPPLE_LP(X, n)
	%
	% 	Cost function for equalization with an allpass function.  
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009

	% 	Author: 		Lars Wanhammar, 2008-07-23
    % 	Modified by:		 
	% 	Copyright:		Divison of Electronics Systems
	%					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version: 		1	
	% 	Known bugs:		None
	%	Report bugs to:	larsw@isy.liu.se
	
	global p TgH Wpas points ToP
	P = ToP*X';		% Convert real parameters to poles
	Taug = PZ_2_TG_S(1, [], P, Wpas);
	tg0 = sum(Taug)/points;
	Wmax = max(abs(P));
	Remax= max(real(P));
	W2 = Wpas(end);
	CostFunk = sum((Taug - tg0).^p)*(1 + (Wmax-W2)*(Wmax>W2) + Remax*(Remax>0));	
	return		
