	function PLOT_ATT_S(W, Att)
	%
	% 	Plots the attenuaton of an analog filter
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	% 	Author: 		Lars Wanhammar 2007-05-07
	% 	Modified by: 	 	
	%	Copyright:		Divison of Electronics Systems
	%	 				Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version:		1	 
	% 	Known bugs:		None 
	% 	Report bugs to:	larsw@isy.liu.se
	%
	%========================================================	
	% Standard settings
	fs = 16; 		% Font size
	lw = 2; 		% Linewidth
	fn = 'times'; 	% Font
	% PowerPoint settings
	%	fs = 16; 		% Font size
	%	lw = 2; 		% Linewidth
	%	fn = 'times'; 	% Font
	%========================================================

	ymax = 10*floor(max(Att)/10) + 10;
	plot(W, Att,'linewidth',lw); 
	axis([min(W) max(W) 0 ymax])
	ylabel('{\itA}({\it\omega})  [dB]','FontName', fn,'FontSize',fs);	
	xlabel('{\it\omega}  [rad/s]','FontName', fn,'FontSize', fs);
	set(gca,'FontName', fn,'FontSize', fs);
	grid on;
