	function PLOT_A_TG_S(Att, Taug, omega, axis_Amax, axis_Tg_max)
	%
	%	Plots the attenuation and group delay for an analog filter in a single figure
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	% 	Author: 		Lars Wanhammar 2007-09-13
	% 	Modified by: 	 	 
	% 	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version:		1
	% 	Known bugs:		Zoom in does not work properly
	% 	Report bugs to:	larsw@isy.liu.se
	%
	%========================================================	
	% Standard settings
	fs = 16; % Font size
	lw = 2; % Linewidth
	fn = 'times'; % Font
	% PowerPoint settings
	%	fs = 16; % Font size
	%	lw = 2; % Linewidth
	%	fn = 'times'; % Font
	%========================================================
 
	subplot('position', [0.1 0.4 0.84 0.5]);
	[AX, H1, H2] = plotyy(omega, Att, omega, Taug);
	set(AX(2),'XTick',[]);
	set(H1, 'linewidth', lw);
	set(H2, 'linewidth', lw);
	set(AX(1), 'ylim', [0 axis_Amax]);
	set(AX(1), 'ytick', [0:10:axis_Amax]);
	set(AX(2), 'ylim', [0 axis_Tg_max]);
	set(AX(2), 'ytick', [0:axis_Tg_max*10/axis_Amax:axis_Tg_max]);
	
	% ===========================================================
	% Need to be adapted
%		text(22, 40,'Group Delay','FontName',fn,'FontSize',fs);
%		text(42, 20,'Attenuation','FontName',fn,'FontSize',fs);
	% ===========================================================
	
	grid on;
	hold on;
	set(gca,'FontName', fn,'FontSize', fs);
	ylabel('{\itA}({\it\omega})  [dB]','FontName',fn,'FontSize',fs);	
	xlabel('{\it\omega}  [rad/s]','FontName', fn,'FontSize',fs);
	axes(AX(2))
	ylabel('{\it\tau_g}({\it\omega})  [s]','FontName', fn,'FontSize',fs);	
	hold on
