	function PLOT_LP_SPEC_S(Wc, Ws, Amax, Amin);
	%
	% 	Plots the attenuation specification for an analog lowpass filter. 	
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
		
	%	Author: 			Lars Wanhammar 2005-05-07
	%	Modified by: 	 	
	%	Copyright:			Divison of Electronics Systems
	% 						Dept. Electrical Engineering, Linkoping University, Sweden
	%	Version:			1
	%	Known bugs:			None
	%	Report bugs to:		larsw@isy.liu.se
	%
	color = [0.7 0.7 0.7]; % Gray
	V = axis;
	patch([V(1)+eps Wc Wc V(1)], [Amax Amax V(4) V(4)], color);
	if Amin ~= 0	% No stopband specification
		patch([Ws V(2) V(2) Ws], [0 0 Amin Amin], color);
	end	
