	function MAG = PZ_2_MAG_S(G, Z, P, W)
	%
	% Computes the magnitude response given the poles and zeros and 
	% gain constant for an analog transfer function at the frequencies specified by W.
	
	% Author: 			Oscar Gustafsson, oscarg@isy.liu.se
	% Modified by: 		LW 2003-09-19, 2004-09-22, 2005-11-15
	% Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkping University, Sweden
	% Version: 			1
	% Known bugs:		None
	% Report bugs to:	larsw@isy.liu.se
	%
	
	MAG = 20*log10(G)*ones(size(W));
	ww = j*W;
	for n = 1:length(Z)
		MAG = MAG + 20*log10(abs(Z(n) - ww));  % Magnitude
	end
	P
	for n = 1:length(P)
		MAG = MAG - 20*log10(abs(P(n) - ww));  % Magnitude
	end

