	function D = lpmf_d_func(Z,NIN,z0_sqred)
	% 
	% Calculates the D value in the Z_frequency point z0^2. 
	% The D function is used for finding arc minimums 
	% for the lowpass filter case. 
	% Other input arguments are the number 
	% of attenuation poles at infinity NIN and
	% the attenuation pole vector Z.
	
	% Author: 			Per Loewenborg
    % Modified by:		LW
	% Copyright:		Divison of Electronics Systems
	%					Dept. Electrical Engineering, Linkoping University, Sweden
	% Version: 			1	
	% Known bugs:		None
	% Report bugs to:	larsw@isy.liu.se
	
	D = (NIN/2)*(1/(1-z0_sqred)) + sum(1./((Z.^2)-z0_sqred));
